<?php

namespace Database\Factories;

use App\Models\Warehouse;
use Illuminate\Database\Eloquent\Factories\Factory;

class WarehouseFactory extends Factory
{
    protected $model = Warehouse::class;

    public function definition(): array
    {
        return [
            'name' => fake()->company().' Warehouse',
        ];
    }

    public function withDescription(): Factory
    {
        return $this->state(fn () => ['description' => fake()->sentence()]);
    }
}
